Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetTriangleFilter Class Reference

`#include <vtkDataSetTriangleFilter.h>`

Inheritance diagram for vtkDataSetTriangleFilter:

[legend]
Collaboration diagram for vtkDataSetTriangleFilter:

[legend]
List of all members.

## Detailed Description

triangulate any type of dataset

Date:
  2002/01/22 15:29:15

Revision:
  1.8

vtkTriangulateDataSet generates n-dimensional simplices from any input dataset. That is, 3D cells are converted to tetrahedral meshes, 2D cells to triangles, and so on. The triangulation is guaranteed compatible as long as the dataset is either zero-, one- or two-dimensional; or if a three-dimensional dataset, all cells in the 3D dataset are convex with planar facets.

See also:
  vtkOrderedTriangulator vtkTriangleFilter

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (57%)
  - Schroeder, Will (31%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkDataSetTriangleFilter.h)`
  - .`cxx` (`/Graphics/vtkDataSetTriangleFilter.cxx)`

Tests:
  vtkDataSetTriangleFilter (Tests)

Definition at line 54 of file vtkDataSetTriangleFilter.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkDataSetTriangleFilter * | New ()
int | IsTypeOf (const char *type)
vtkDataSetTriangleFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetTriangleFilter ()
| ~vtkDataSetTriangleFilter ()
void | Execute ()
void | StructuredExecute ()
void | UnstructuredExecute ()
## Protected Attributes
vtkOrderedTriangulator * | Triangulator

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkDataSetTriangleFilter::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 58 of file vtkDataSetTriangleFilter.h.

## Constructor & Destructor Documentation

vtkDataSetTriangleFilter::vtkDataSetTriangleFilter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkDataSetTriangleFilter.h.

vtkDataSetTriangleFilter::~vtkDataSetTriangleFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataSetTriangleFilter* vtkDataSetTriangleFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDataSetTriangleFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkDataSetTriangleFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkDataSetTriangleFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkDataSetTriangleFilter* vtkDataSetTriangleFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkDataSetTriangleFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkDataSetTriangleFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkDataSetTriangleFilter::StructuredExecute | ( |  | ) | `[protected]`

void vtkDataSetTriangleFilter::UnstructuredExecute | ( |  | ) | `[protected]`

## Member Data Documentation

vtkOrderedTriangulator* vtkDataSetTriangleFilter::Triangulator`[protected]`

| Definition at line 72 of file vtkDataSetTriangleFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDataSetTriangleFilter.h